using System;

namespace UnityEngine.Rendering.Universal
{

    [Serializable, VolumeComponentMenu("Post-processing/Radial Blur")]
    public sealed class RadialBlur : VolumeComponent, IPostProcessComponent
    {
        public ClampedIntParameter intensity = new ClampedIntParameter(0, 0, 20);
        public Vector2Parameter center = new Vector2Parameter(new Vector2(0.5f, 0.5f));

        public bool IsActive() => intensity.value > 0;

        public bool IsTileCompatible() => false;
    }
}
